Last Comment Bug 370398 - Dependency graph wrong url path under mod_perl
: Dependency graph wrong url path under mod_perl
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Dependency Views (show other bugs)
: 2.23.4
: All All
: P2 major (vote)
: Bugzilla 3.0
Assigned To: Max Kanat-Alexander
: default-qa
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-14 09:11 PST by Yann
Modified: 2007-07-25 23:57 PDT (History)
1 user (show)
LpSolit: approval+
LpSolit: approval3.0+
mkanat: blocking3.0.1+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (668 bytes, patch)
2007-07-25 05:28 PDT, Max Kanat-Alexander
LpSolit: review+
Details | Diff | Review

Description Yann 2007-02-14 09:11:58 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1
Build Identifier: 

When clicking on dependency graph, no image is shown.
When looking into the webdot folder, the map and png files are correct.

When looking at the html code, the output is wrong: 

<img src="/data/webdot/0duVPDmyxI.png" alt="Dependency graph" usemap="#imagemap">

As the bugzilla url is $IP/bugzilla, above will look for the png in $IP/data/webdot... instead of $IP/bugzilla/data/webdot..

Correct HTML output should be:
<img src="data/webdot/0duVPDmyxI.png" alt="Dependency graph" usemap="#imagemap">

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Frédéric Buclin 2007-02-15 08:08:07 PST
(In reply to comment #0)
> When looking at the html code, the output is wrong: 
> 
> <img src="/data/webdot/0duVPDmyxI.png" alt="Dependency graph"
> usemap="#imagemap">

Note that the leading "/" appears with mod_perl only.
Comment 2 Max Kanat-Alexander 2007-02-15 08:09:27 PST
Yes, I can reproduce this in a mod_perl installation, but not in a mod_cgi installation.

This also exposes a problem with our architecture--the data/ directory should not contain web-accessible items, as packagers may want to move it into /var.
Comment 3 Frédéric Buclin 2007-07-11 13:58:13 PDT
Max, maybe should we consider this bug for 3.0.1. This is a "regression" compared to 2.22.
Comment 4 Max Kanat-Alexander 2007-07-11 20:31:45 PDT
Yes, you're right. This is a pretty high priority to fix.
Comment 5 Max Kanat-Alexander 2007-07-25 05:28:01 PDT
Created attachment 273772 [details] [diff] [review]
v1

One-line fix. :-) Applied at:

http://landfill.bugzilla.org/mod_perl/
Comment 6 Frédéric Buclin 2007-07-25 06:09:30 PDT
Comment on attachment 273772 [details] [diff] [review]
v1

Looks good and doesn't break mod-cgi. r=LpSolit
Comment 7 Max Kanat-Alexander 2007-07-25 23:57:06 PDT
tip:

Checking in showdependencygraph.cgi;
/cvsroot/mozilla/webtools/bugzilla/showdependencygraph.cgi,v  <--  showdependencygraph.cgi
new revision: 1.62; previous revision: 1.61
done

3.0:

Checking in showdependencygraph.cgi;
/cvsroot/mozilla/webtools/bugzilla/showdependencygraph.cgi,v  <--  showdependencygraph.cgi
new revision: 1.56.2.3; previous revision: 1.56.2.2
done

Note You need to log in before you can comment on or make changes to this bug.